CRAN Package Check Results for Package mlrCPO

Last updated on 2021-01-16 05:47:12 CET.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.3.7-1 29.08 368.46 397.54 OK
r-devel-linux-x86_64-debian-gcc 0.3.7-1 23.73 270.36 294.09 OK
r-devel-linux-x86_64-fedora-clang 0.3.7-1 467.37 OK
r-devel-linux-x86_64-fedora-gcc 0.3.7-1 467.79 OK
r-devel-windows-ix86+x86_64 0.3.7-1 34.00 360.00 394.00 OK
r-patched-linux-x86_64 0.3.7-1 25.65 342.80 368.45 OK
r-patched-solaris-x86 0.3.7-1 599.00 ERROR
r-release-linux-x86_64 0.3.7-1 23.00 341.96 364.96 OK
r-release-macos-x86_64 0.3.7-1 OK
r-release-windows-ix86+x86_64 0.3.7-1 51.00 424.00 475.00 OK
r-oldrel-macos-x86_64 0.3.7-1 OK
r-oldrel-windows-ix86+x86_64 0.3.7-1 37.00 324.00 361.00 OK

Check Details

Version: 0.3.7-1
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: ‘FSelector’
Flavor: r-patched-solaris-x86

Version: 0.3.7-1
Check: tests
Result: ERROR
     Running ‘run-core.R’
     Running ‘run-cpo.R’ [76s/79s]
     Running ‘run-meta.R’ [28s/27s]
     Running ‘run-zzzlint.R’
    Running the tests in ‘tests/run-cpo.R’ failed.
    Complete output:
     > library(testthat)
     > ISTESTING = TRUE # nolint
     > test_check("mlrCPO", filter = "^cpo_")
     Loading required package: mlrCPO
     Loading required package: ParamHelpers
     Loading required package: mlr
     'mlr' is in maintenance mode since July 2019. Future development
     efforts will go into its successor 'mlr3' (<https://mlr3.mlr-org.com>).
     Starting 2 test processes
     ══ Skipped tests ═══════════════════════════════════════════════════════════════
     ● On CRAN (1)
    
     ══ Warnings ════════════════════════════════════════════════════════════════════
     ── Warning (test_cpo_impute.R:140:3): CPO ImputeWrapper ────────────────────────
     `expect_is()` was deprecated in the 3rd edition.
     i Use `expect_type()`, `expect_s3_class()`, or `expect_s4_class()` instead
     Backtrace:
     1. testthat::expect_is(mm, "rpart")
     2. testthat:::edition_deprecate(3, "expect_is()", "Use `expect_type()`, `expect_s3_class()`, or `expect_s4_class()` instead")
     ── Warning (test_cpo_impute.R:143:3): CPO ImputeWrapper ────────────────────────
     `expect_is()` was deprecated in the 3rd edition.
     i Use `expect_type()`, `expect_s3_class()`, or `expect_s4_class()` instead
     Backtrace:
     1. testthat::expect_is(mm, "WrappedModel")
     2. testthat:::edition_deprecate(3, "expect_is()", "Use `expect_type()`, `expect_s3_class()`, or `expect_s4_class()` instead")
    
     ══ Failed tests ════════════════════════════════════════════════════════════════
     ── Error (test_cpo_filter.R:73:5): specialised CPOs work ───────────────────────
     Error: For CPO FSelector_chi.squared please install the following packages: FSelector
     Backtrace:
     █
     1. └─mlrCPO:::cpoconst(perc = 0.5)
     2. └─mlrCPO:::requireCPOPackages(cpo)
     3. └─base::tryCatch(...)
     4. └─base:::tryCatchList(expr, classes, parentenv, handlers)
     5. └─base:::tryCatchOne(expr, names, parentenv, handlers[[1L]])
     6. └─value[[3L]](cond)
    
     [ FAIL 1 | WARN 2 | SKIP 1 | PASS 433 ]
     Error: Test failures
     Execution halted
Flavor: r-patched-solaris-x86